Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Get chat messages

client.chat.completions.messages.list(completionID, query?, options?): CursorPage<ChatCompletionStoreMessage { id, content_parts } >
GET
/chat/completions/{completion_id}/messages

Get the messages in a stored chat completion. Only Chat Completions that have been created with the store parameter set to true will be returned.

Parameters
completionID: string
query: MessageListParams { after, limit, order }
Returns
ChatCompletionStoreMessage extends ChatCompletionMessage { content, refusal, role, 4 more } { id, content_parts }

A chat completion message generated by the model.

id: string

The identifier of the chat message.

content_parts?: Array<ChatCompletionContentPartText { text, type, prompt_cache_breakpoint } | ChatCompletionContentPartImage { image_url, type, prompt_cache_breakpoint } > | null

If a content parts array was provided, this is an array of text and image_url parts. Otherwise, null.

Get chat messages

import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const chatCompletionStoreMessage of client.chat.completions.messages.list(
  'completion_id',
)) {
  console.log(chatCompletionStoreMessage);
}
{
  "object": "list",
  "data": [
    {
      "id": "chatcmpl-AyPNinnUqUDYo9SAdA52NobMflmj2-0",
      "role": "user",
      "content": "write a haiku about ai",
      "name": null,
      "content_parts": null
    }
  ],
  "first_id": "chatcmpl-AyPNinnUqUDYo9SAdA52NobMflmj2-0",
  "last_id": "chatcmpl-AyPNinnUqUDYo9SAdA52NobMflmj2-0",
  "has_more": false
}
Returns Examples
{
  "object": "list",
  "data": [
    {
      "id": "chatcmpl-AyPNinnUqUDYo9SAdA52NobMflmj2-0",
      "role": "user",
      "content": "write a haiku about ai",
      "name": null,
      "content_parts": null
    }
  ],
  "first_id": "chatcmpl-AyPNinnUqUDYo9SAdA52NobMflmj2-0",
  "last_id": "chatcmpl-AyPNinnUqUDYo9SAdA52NobMflmj2-0",
  "has_more": false
}